# Uses of Class
org.eclipse.emf.spi.cdo.InternalCDOTransaction.ChangeSetOutdatedException

Packages that use InternalCDOTransaction.ChangeSetOutdatedException
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOTransaction.ChangeSetOutdatedException in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that throw InternalCDOTransaction.ChangeSetOutdatedException
Modifier and Type
Method
Description
`InternalCDOTransaction.ApplyChangeSetResult`
InternalCDOTransaction.`applyChangeSet(CDOChangeSetData changeSetData, CDORevisionProvider targetBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source, boolean keepVersions)`